## libconfig 0.1.5

=== Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

#DEBUG = "yes"

#CROSS = arm-linux-

# version
MAJOR = $(shell pwd | sed 's|^.*/libconfig-\(.*\)$$|\1|g' | cut -f1 -d.)
MINOR = $(shell pwd | sed 's|^.*/libconfig-\(.*\)$$|\1|g' | cut -f2 -d.)
PATCH = $(shell pwd | sed 's|^.*/libconfig-\(.*\)$$|\1|g' | cut -f3 -d.)

ifndef prefix
prefix = $(DESTDIR)/usr/local
endif

libdir = $(prefix)/lib
includedir = $(prefix)/include

       ########### NOTHING TO EDIT BELOW THIS ###########

CC = $(CROSS)colorgcc

ifeq ($(shell which $(CC)),)
CC = $(CROSS)gcc
endif

ifeq ($(shell which $(CC)),)
CC = gcc
endif

INSTALL = install -v

CPPFLAGS = -I$(includedir) -I.
CFLAGS = -Wall -Winline -fPIC -Os -pipe
LDFLAGS = -L$(libdir) -L. -Wl,-rpath,.
LDLIBS = -lconfig -ldebug

ifeq ($(DEBUG),"yes")
CFLAGS += -ggdb -g3
LDFLAGS += -ggdb -g3
endif

LD = ld

AR = ar
ARFLAGS = crv

RM = rm -f

LN = ln

OBJ = scan.o parse.o config.o
LIB = libconfig
PRG = test_parse test_config

SRC = $(OBJ:%.o=%.c)

all: do-it-all

ifeq (.depends,$(wildcard .depends))
include .depends
do-it-all: with-depends
else
do-it-all: without-depends
endif

without-depends: depend with-depends

depend:
	$(RM) .depends
	set -e; for F in $(SRC); do $(CC) -MM $(CFLAGS) $(CPPFLAGS) $$F >> .depends; done

with-depends: $(LIB).a $(LIB).so.$(MAJOR).$(MINOR).$(PATCH) $(PRG)

test_parse: $(LIB).so main_parse.o
	$(CC) $(LDFLAGS) $^ -o $@ $(LDLIBS)
	
test_config: $(LIB).so main_config.o
	$(CC) $(LDFLAGS) $^ -o $@ $(LDLIBS)

$(LIB).a: $(OBJ)
	$(AR) $(ARFLAGS) $@ $^

$(LIB).so.$(MAJOR).$(MINOR).$(PATCH): $(OBJ)
	$(CC) -shared -Wl,-soname -Wl,$(LIB).so.$(MAJOR) $^ -o $@
	ln -sf $@ $(LIB).so.$(MAJOR)
	ln -sf $(LIB).so.$(MAJOR) $(LIB).so

install: all
	$(INSTALL) -d $(libdir)
	$(INSTALL) -d $(includedir)/config
	$(INSTALL) -c -m 0755 $(LIB).so.$(MAJOR).$(MINOR).$(PATCH) $(libdir)
	$(INSTALL) -c -m 0644 $(LIB).a $(libdir)
	ln -sf $(LIB).so.$(MAJOR).$(MINOR).$(PATCH) $(libdir)/$(LIB).so.$(MAJOR)
	ln -sf $(LIB).so.$(MAJOR) $(libdir)/$(LIB).so
	$(INSTALL) -c -m 0644 *.h $(includedir)/config

uninstall:
	rm -rf $(DESTDIR)/$(includedir)/config
	rm -f $(DESTDIR)/$(libdir)/$(LIB).*

debian:
	dpkg-buildpackage -rfakeroot -k2B555AEE

clean:
	$(RM) .depends *~ $(OBJ) $(LIB).* $(PRG) *.o

distclean: clean
	rm -f {configure,build}-stamp
	rm -rf debian/$(PRG)
	rm -f debian/*.{debhelper,substvars} debian/files debian/*~
	rm -rf debian/{libconfig0,libconfig0-dev,tmp}

.PHONY: all clean distclean do-it-all depend with-depends without-depends install uninstall debian

=== debian/changelog ===
libconfig (0.1.5) unstable; urgency=low

  * Changed sections.

 -- Abraham vd Merwe <abz@debian.org>  Tue,  7 Oct 2003 20:40:05 +0200

libconfig (0.1.4) unstable; urgency=low

  * Changed libconfig0-dev section.
  * Updated package dependencies.

 -- Abraham vd Merwe <abz@debian.org>  Tue,  7 Oct 2003 18:36:30 +0200

libconfig (0.1.3) unstable; urgency=low

  * Ported to library to FreeBSD.
  * Changed copyright notices to reflect my new preferred email address.
  * Updated feature wishlist.
  * Added a more descriptive description in control file (Closes: #151535)

 -- Abraham vd Merwe <abz@debian.org>  Sat,  6 Jul 2002 17:44:02 +0200

libconfig (0.1.2) unstable; urgency=low

  * Removed sync flag from log_open() in test programs.
  * Now only print debugging stuff if compiled with -DDEBUG.

 -- Abraham vd Merwe <abz@debian.org>  Thu, 11 Apr 2002 22:28:52 +0200

libconfig (0.1.1) unstable; urgency=low

  * Initial Release.

 -- Abraham vd Merwe <abz@debian.org>  Sat,  6 Apr 2002 18:16:29 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libconfig
Section: devel
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>> 3.0.0), libdebug0-dev (>= 0.3.1)
Standards-Version: 3.5.2

Package: libconfig0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libdebug0 (>= 0.3.1)
Suggests: libconfig0-dev (>= 0.1.5)
Description: Configuration file parser library
 A parser library for a configuration file format used by most of
 the author's programs.
 .
 The library provides support for parsing a configuration file format
 which is a somewhat of a mix between the common GNU-like configuration
 files and a C program.
 .
 Currently the configuration file support boolean values, integers, strings
 (which can span multiple lines), and enumerations. Arrays and sections are
 also supported and can be nested to unlimited depths.
 .
 This package contains files needed by programs linked against
 this library.

Package: libconfig0-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, libconfig0 (>= 0.1.5), libdebug0 (>= 0.3.1), libdebug0-dev (>= 0.3.1)
Description: Development files for the config library
 A parser library for a configuration file format used by most of
 the author's programs.
 .
 The library provides support for parsing a configuration file format
 which is a somewhat of a mix between the common GNU-like configuration
 files and a C program.
 .
 Currently the configuration file support boolean values, integers, strings
 (which can span multiple lines), and enumerations. Arrays and sections are
 also supported and can be nested to unlimited depths.
 .
 Please see the CAVEATS file included in this package for information on how
 to construct configuration files and how to use this library in your own
 programs.
 .
 This package contains files needed if you wish to use libconfig
 in your own programs.

=== debian/rules ===
#!/usr/bin/make -f

# -*- sh -*-

export DH_VERBOSE=1
export DH_COMPAT=3

DESTDIR=$(CURDIR)/debian/tmp

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Remove backup files
	find . \( -name "*~" -o -name ".#*" \) -exec rm {} \;

	# Add here commands to compile the package.
	-$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean
	rm -f $(CURDIR)/debian/{build,configure}-stamp
	rm -rf $(CURDIR)/debian/libconfig-dev $(CURDIR)/debian/libconfig $(CURDIR)/debian/tmp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	-$(MAKE) DESTDIR=$(DESTDIR) prefix=$(DESTDIR)/usr install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libconfig 1.3.2

=== debian/changelog ===
libconfig (1.3.2-2ubuntu2) oneiric; urgency=low

  * Mark a symbol as optional to build with GCC 4.6. LP: #765925.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 May 2011 13:02:01 +0200

libconfig (1.3.2-2ubuntu1) natty; urgency=low

  * Add symbol files for libconfig8 and libconfig++8, required for
    entering main, submitted to Debian

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 18 Mar 2011 11:36:42 +1100

libconfig (1.3.2-2) unstable; urgency=low

  * Removed "conflicts" with older sonames (Closes: #536635)
  * Added missing compile-time libconfig++8-dev dependencies 
    (libconfig8-dev) (Closes: #537311)

  * Removed libtool's ".la" files (clients should use pkg-config)

  * Updated to S-V 3.8.3 with no changes

  * With many thanks to Christian Hammers, who kindly checked the package.

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 13 Sep 2009 04:25:14 +0200

libconfig (1.3.2-1) unstable; urgency=low

  * New upstream release (Closes: #521725)
    - soname bump to 8
    - Updated to S-V 3.8.1 with no changes

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Tue, 07 Apr 2009 21:13:16 +0200

libconfig (1.3.1-1) unstable; urgency=low

  * First upload to Debian (Closes: #438683)

  * New upstream release
    - soname bump to 6.1

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 31 Oct 2008 22:13:47 +0100

libconfig (1.3-1) unstable; urgency=low

  * New upstream release

  * Packaging
    - Updated to S-V 3.8.0 with no changes

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Mon, 20 Jul 2008 19:55:23 +0200

libconfig (1.1-1) unstable; urgency=low

  * New upstream release

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Mon,  2 Jul 2007 02:01:40 +0200

libconfig (0.9-1) unstable; urgency=low

  * Initial packaging

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Tue, 10 Oct 2006 01:42:09 +0200

=== debian/control ===
Source: libconfig
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
Build-Depends: debhelper (>= 5), autotools-dev, texinfo, texlive, ghostscript, quilt
Standards-Version: 3.8.3
Homepage: http://www.hyperrealm.com/libconfig/
Section: libs

Package: libconfig8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parsing and manipulation of structured configuration files
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files.

Package: libconfig++8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parsing and manipulation of structured configuration files(C++ binding)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files.
 .
 This is the C++ binding.

Package: libconfig8-dev
Section: libdevel
Architecture: any
Provides: libconfig-dev
Depends: libconfig8 (= ${binary:Version}), pkg-config (>= 0.20), ${misc:Depends}
Conflicts: libconfig6-dev
Description: parsing and manipulation of structured config files(development)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files. Its main features are:
  - A fully reentrant parser: Multiple configurations can be parsed in
    concurrent threads at the same time.
  - A simple, structured configuration file format: more readable and compact
    than XML and more flexible than Windows' "INI" file format.
  - A low-footprint implementation
  - Proper documentation.
 .
 This package contains the files needed in order to use libconfig
 in your own programs.

Package: libconfig++8-dev
Section: libdevel
Architecture: any
Provides: libconfig++-dev
Depends: libconfig++8 (= ${binary:Version}), libconfig-dev,
 pkg-config (>= 0.20), ${misc:Depends}
Conflicts: libconfig++6-dev
Description: parsing and manipulation of structured config files(C++ development)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files. Its main features are:
  - A fully reentrant parser: Multiple configurations can be parsed in
    concurrent threads at the same time.
  - A simple, structured configuration file format: more readable and compact
    than XML and more flexible than Windows' "INI" file format.
  - A low-footprint implementation
  - Proper documentation.
 .
 This package contains the files needed in order to use libconfig
 in your own C++ programs.

## libconfig 1.3.2-2ubuntu2+6.0trisquel1

=== debian/changelog ===
libconfig (1.3.2-2ubuntu2+6.0trisquel1) toutatis; urgency=low

  * Backported into Toutatis

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 25 Dec 2013 19:39:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libconfig
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
 Build-Depends: debhelper (>= 5), autotools-dev, texinfo, texlive, ghostscript, quilt
 Standards-Version: 3.8.3

## libconfig 1.3.2-3maemo1

=== debian/changelog ===
libconfig (1.3.2-3maemo1) unstable; urgency=low

  * For Fremantle.

 --  Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 20 Aug 2012 22:25:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libconfig
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
-Build-Depends: debhelper (>= 5), autotools-dev, texinfo, texlive, ghostscript, quilt
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
+Build-Depends: debhelper (>= 5), autotools-dev, texinfo,  quilt
 Standards-Version: 3.8.3
 Homepage: http://www.hyperrealm.com/libconfig/
 Section: libs

## libconfig 1.3.2-3maemo2

=== debian/changelog ===
libconfig (1.3.2-3maemo2) unstable; urgency=low

  * Drop dpkg (>= 1.15.4) on libconfig8-dev

 --  Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 21 Aug 2012 11:08:01 +0200

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
 Section: libdevel
 Architecture: any
 Provides: libconfig-dev
-Depends: libconfig8 (= ${binary:Version}), pkg-config (>= 0.20), ${misc:Depends}
+Depends: libconfig8 (= ${binary:Version}), pkg-config (>= 0.20)
 Conflicts: libconfig6-dev
 Description: parsing and manipulation of structured config files(development)
  This library features a fully reentrant parser and includes bindings for

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LIBS = $(shell grep '^Package: lib' debian/control | egrep -v '(-doc|-dev)' | sed -e 's@Package: @@' )

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=8
major=8
minor=0


config.status: configure
	dh_testdir
	test -e config.sub -a -L config.sub || \
		ln -sf /usr/share/misc/config.sub config.sub
	test -e config.guess -a -L config.guess || \
		ln -sf /usr/share/misc/config.guess config.guess

	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info 
	CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

configure:	patch
	$(RM) debian/libconfig8.info debian/shlibs

build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	$(MAKE) -C doc pdf
	touch $@

clean:	unpatch
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f build-stamp

	$(RM) config.guess config.sub config.log
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(RM) .libs/*.la

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python

	@for f in $(LIBS); do \
		echo "makeshlibs -p$$f" ; \
		dh_makeshlibs -p$$f ; \
	done

	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libconfig 1.4.8

=== debian/changelog ===
libconfig (1.4.8-5) unstable; urgency=low

  * Switch to dh_9 style rules file
    - Hardened buildflags now provided automatically
    - Fixes E-binary-arch-produces-all buildd warning

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Tue, 26 Jun 2012 21:41:22 +0100

libconfig (1.4.8-4) unstable; urgency=low

  * Add C++ hardened buildflags
    - Thanks to Simon Ruderich for the patch (closes: #662225)
  * Fix libconfig(++)8-dev transition packages
    - Set section as oldlibs
    - Set priority as extra
    - Remove package descriptions
  * Add Multiarch support 

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Fri, 06 Apr 2012 14:28:39 +0100

libconfig (1.4.8-3) unstable; urgency=low

  * Add Replaces+Breaks: libconfig(++)8-dev to libconfig(++)-dev
     - Thanks to Andreas Beckmann for reporting (closes: #662643)
  * Enable hardened buildflags
     - Thanks to Simon Ruderich for the patch (closes: #662225)
  * Fix incorrect section and arch for transitional packages.

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Mon, 05 Mar 2012 22:01:29 +0000

libconfig (1.4.8-2) unstable; urgency=low

  * Upload to unstable
  * Update to S-V 3.9.3
  * debian/rules now uses dpkg-buildflags
  * Provide full transitional packages to help -dev package rename
  * Multiple lintian fixes
    - out-of-date-standards-version
    - copyright-with-old-dh-make-debian-copyright
    - extended-description-is-probably-too-short
    - unneeded-build-dep-on-quilt

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Thu, 01 Mar 2012 02:11:47 +0000

libconfig (1.4.8-1~exp1) experimental; urgency=low

  * New upstream release (closes: #583528)
    - soname bump to 9
  * Update to S-V 3.9.2
  * Update to Debhelper v7
  * Refresh Build-Depends packages
  * Add debug packages
  * Remove soname from -dev package names
    - Build as virtual packages for reverse dependency purposes.
  * Fix examples (closes: #632081)

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Sat, 11 Feb 2012 18:13:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: libconfig
 Priority: optional
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, texinfo,  quilt
-Standards-Version: 3.8.3
+Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
+Uploaders: Jonathan McCrohan <jmccrohan@gmail.com>
+Build-Depends: debhelper (>= 9), autotools-dev, texinfo, texlive-latex-base
+Standards-Version: 3.9.3
 Homepage: http://www.hyperrealm.com/libconfig/
 Section: libs
 
-Package: libconfig8
-Section: libs
+Package: libconfig9
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: parsing and manipulation of structured configuration files
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
@@ -19,10 +21,11 @@
  This library allows parsing, manipulating and writing structured configuration
  files.
 
-Package: libconfig++8
-Section: libs
+Package: libconfig++9
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: parsing and manipulation of structured configuration files(C++ binding)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
@@ -34,12 +37,14 @@
  .
  This is the C++ binding.
 
-Package: libconfig8-dev
+Package: libconfig-dev
 Section: libdevel
 Architecture: any
-Provides: libconfig-dev
-Depends: libconfig8 (= ${binary:Version}), pkg-config (>= 0.20)
-Conflicts: libconfig6-dev
+Replaces: libconfig8-dev (<< 1.4.8)
+Breaks: libconfig8-dev (<< 1.4.8)
+Depends: libconfig9 (= ${binary:Version}), pkg-config (>= 0.20), ${misc:Depends}
+Recommends: libconfig-doc
+Multi-Arch: same
 Description: parsing and manipulation of structured config files(development)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
@@ -58,13 +63,23 @@
  This package contains the files needed in order to use libconfig
  in your own programs.
 
-Package: libconfig++8-dev
+Package: libconfig8-dev
+Depends: libconfig-dev, ${misc:Depends}
+Architecture: any
+Section: oldlibs
+Priority: extra
+Description: Transitional package for libconfig-dev
+ This is a transitional package for libconfig-dev, and can be safely removed
+ when no other package depends on it.
+
+Package: libconfig++-dev
 Section: libdevel
 Architecture: any
-Provides: libconfig++-dev
-Depends: libconfig++8 (= ${binary:Version}), libconfig-dev,
+Replaces: libconfig++8-dev (<< 1.4.8)
+Breaks: libconfig++8-dev (<< 1.4.8)
+Depends: libconfig++9 (= ${binary:Version}), libconfig-dev,
  pkg-config (>= 0.20), ${misc:Depends}
-Conflicts: libconfig++6-dev
+Multi-Arch: same
 Description: parsing and manipulation of structured config files(C++ development)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
@@ -82,3 +97,64 @@
  .
  This package contains the files needed in order to use libconfig
  in your own C++ programs.
+
+Package: libconfig++8-dev
+Depends: libconfig++-dev, ${misc:Depends}
+Architecture: any
+Section: oldlibs
+Priority: extra
+Description: Transitional package for libconfig++-dev
+ This is a transitional package for libconfig++-dev, and can be safely removed
+ when no other package depends on it.
+
+
+Package: libconfig-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: libconfig9 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Description: parsing and manipulation of structured config files(debug symbols)
+ This library features a fully reentrant parser and includes bindings for
+ both the C and C++ programming languages. It runs on modern POSIX-compliant
+ systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
+ Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
+ .
+ This library allows parsing, manipulating and writing structured configuration
+ files.
+ .
+ This package provides debugging information for the libconfig library.
+
+Package: libconfig++-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: libconfig++9 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Description: parsing and manipulation of structured config files(C++ debug symbols)
+ This library features a fully reentrant parser and includes bindings for
+ both the C and C++ programming languages. It runs on modern POSIX-compliant
+ systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
+ Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
+ .
+ This library allows parsing, manipulating and writing structured configuration
+ files.
+ .
+ This package provides debugging information for the libconfig++ library.
+
+Package: libconfig-doc
+Section: doc
+Architecture: all
+Replaces: libconfig-dev (<= 1.4.8)
+Breaks: libconfig-dev (<= 1.4.8)
+Depends: ${misc:Depends}
+Description: parsing and manipulation of structured config files(Documentation)
+ This library features a fully reentrant parser and includes bindings for
+ both the C and C++ programming languages. It runs on modern POSIX-compliant
+ systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
+ Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
+ .
+ This library allows parsing, manipulating and writing structured configuration
+ files.
+ .
+ This package provides documentation for the libconfig library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# # export DH_VERBOSE=1

override_dh_auto_build:
	$(MAKE) -C doc pdf
	dh_auto_build

override_dh_strip:
	dh_strip -p libconfig9 --dbg-package=libconfig-dbg
	dh_strip -p libconfig++9 --dbg-package=libconfig++-dbg
	
%:
	dh $@ --with autotools-dev

## libconfig 1.4.9

=== debian/changelog ===
libconfig (1.4.9-2) unstable; urgency=medium

  * Update short package description (Closes: #710783)
  * Build using dh-autoreconf rather than autotools-dev; thanks to Matthias
    Klose for this fix
  * Add tex-workaround.patch from Matthias Klose to fix texinfo/tex FTBFS
  * With sponsor's blessing, set myself as maintainer
  * Bump Standards-Version to 3.9.5
    - No changes required

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Sat, 28 Dec 2013 17:41:20 +0000

libconfig (1.4.9-1) unstable; urgency=low

  * New upstream release
  * Update S-V to 3.9.4
    - No changes necessary
  * Ensure that libconfig++-dbg depends on libconfig9 (= ${binary:Version})
    in addition to libconfig++9 (= ${binary:Version})
    - Fixes dbg-package-missing-depends lintian warning

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Sat, 12 Oct 2013 16:41:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libconfig
 Priority: optional
-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
-Uploaders: Jonathan McCrohan <jmccrohan@gmail.com>
-Build-Depends: debhelper (>= 9), autotools-dev, texinfo, texlive-latex-base
-Standards-Version: 3.9.3
+Maintainer: Jonathan McCrohan <jmccrohan@gmail.com>
+Uploaders: Jose Luis Tallon <jltallon@adv-solutions.net>
+Build-Depends: debhelper (>= 9), dh-autoreconf, texinfo, texlive-latex-base
+Standards-Version: 3.9.5
 Homepage: http://www.hyperrealm.com/libconfig/
 Section: libs
 
@@ -12,7 +12,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
-Description: parsing and manipulation of structured configuration files
+Description: parsing/manipulation of structured configuration files
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
  systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
@@ -26,7 +26,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
-Description: parsing and manipulation of structured configuration files(C++ binding)
+Description: parsing/manipulation of structured configuration files (C++ binding)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
  systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
@@ -45,7 +45,7 @@
 Depends: libconfig9 (= ${binary:Version}), pkg-config (>= 0.20), ${misc:Depends}
 Recommends: libconfig-doc
 Multi-Arch: same
-Description: parsing and manipulation of structured config files(development)
+Description: parsing/manipulation of structured config files (development)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
  systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
@@ -80,7 +80,7 @@
 Depends: libconfig++9 (= ${binary:Version}), libconfig-dev,
  pkg-config (>= 0.20), ${misc:Depends}
 Multi-Arch: same
-Description: parsing and manipulation of structured config files(C++ development)
+Description: parsing/manipulation of structured config files (C++ development)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
  systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
@@ -114,7 +114,7 @@
 Architecture: any
 Depends: libconfig9 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
-Description: parsing and manipulation of structured config files(debug symbols)
+Description: parsing/manipulation of structured config files (debug symbols)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
  systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
@@ -129,9 +129,9 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libconfig++9 (= ${binary:Version}), ${misc:Depends}
+Depends: libconfig9 (= ${binary:Version}), libconfig++9 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
-Description: parsing and manipulation of structured config files(C++ debug symbols)
+Description: parsing/manipulation of structured config files (C++ debug symbols)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
  systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
@@ -148,7 +148,7 @@
 Replaces: libconfig-dev (<= 1.4.8)
 Breaks: libconfig-dev (<= 1.4.8)
 Depends: ${misc:Depends}
-Description: parsing and manipulation of structured config files(Documentation)
+Description: parsing/manipulation of structured config files (Documentation)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
  systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	dh_strip -p libconfig++9 --dbg-package=libconfig++-dbg
 	
 %:
-	dh $@ --with autotools-dev
+	dh $@ --with autoreconf

## libconfig 1.5

=== contrib/cmake/CMakeLists.txt ===
#cmake_minimum_required(VERSION 2.8)

PROJECT(libconfig_test_app)

add_subdirectory(src)

#add cmake script files
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_work")

#check if libconfig is present (FindConfig.cmake and FindConfig++.cmake files)
FIND_PACKAGE(Config REQUIRED)
FIND_PACKAGE(Config++ REQUIRED)

#add undelete support
CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_work/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_work/cmake_uninstall.cmake"
      IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_work/cmake_uninstall.cmake")

=== contrib/cmake/src/CMakeLists.txt ===
PROJECT(libconfig_test_app)

ADD_EXECUTABLE(libconfig_test_app main.cpp)

target_link_libraries(libconfig_test_app config++)

=== debian/changelog ===
libconfig (1.5-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
    + Bump shlibs version to cater for new symbols added when building
      with GCC 7.  Closes: #853517
    + Don't compress a 4.1 KB example file.  Closes: #717954
  * debian/watch: rewrite pointing to github.  Closes: #825964
  * debian/control:
    + Drop transitional packages libconfig8-dev and libconfig++8-dev.
      Closes: #878652
    + Drop build-depends on g++, implied by build-essential and the version
      requested is already old enough.
    + Bump Standards-Version to 4.1.1, no changes needed.
    + Mark libconfig-doc as Multi-Arch: foreign.
  * Bump debhelper compat level to 10:
    + Drop --parallel, now default.
    + Drop --with autoreconf, now default (also drop the build-dep).
  * Drop *-dbg packages in favour of automatic debug packages.
  * debian/shlibs: remove, it only contains default stuff.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 10 Nov 2017 21:29:25 +0100

libconfig (1.5-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS when built with dpkg-buildpackage -A.
    Thanks to Santiago Vila <sanvila@unex.es> (Closes: #806627)
  * Remove Jose Luis Tallon from Uploaders list. (Closes: #838077)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 26 Nov 2016 23:19:25 +0100

libconfig (1.5-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2015 17:20:08 +0200

libconfig (1.5-0.1) experimental; urgency=medium

  * Non maintainer upload.
  * New upstream version.
  * Rename libconfig++9v5 to libconfig++9v5, libstdc++6 ABI symbol changes.
    Addresses: #791108.
  * Add Conflicts/Replaces to the old library.
  * Don't ship libconfig9.info in libconfig9, but only in libconfig-dev.
  * Drop versioned dependency on pkg-config. Closes: #734482.
  * Enable parallel builds. Closes: #759581.
  * Only build the libconfig documentation for binary indep builds.
    Closes: #759582.
  * Add build dependency on texlive-fonts-recommended.
  * Bump standards version to 3.9.6.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jul 2015 12:46:50 +0200

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

override_dh_auto_test-indep:

override_dh_auto_build-indep:
	$(MAKE) -C doc pdf

override_dh_makeshlibs:
	# For new symbols when compiled with GCC 7
	dh_makeshlibs -plibconfig++9v5 -V'libconfig++9v5 (>= 1.5-0.4~)'
	dh_makeshlibs --remaining-packages

override_dh_compress:
	# don't compress example1.cpp, which is the only file over 4k (it's 4.1k)
	# done for consistency with the other examples.
	dh_compress -Xexample1.cpp

%:
	dh $@

=== debian/watch ===
version=4

https://github.com/hyperrealm/libconfig/releases .*/v([\d.]+)@ARCHIVE_EXT@

## libconfig 1.7.3

=== debian/changelog ===
libconfig (1.7.3-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 15 Feb 2025 14:46:01 -0800

libconfig (1.7.3-2) unstable; urgency=medium

  * Upload to unstable
  * Add patch to fix GNU/Hurd PATH_MAX usage

 -- Mohammed Bilal <rmb@debian.org>  Sun, 26 Jan 2025 15:46:30 +0000

libconfig (1.7.3-1) experimental; urgency=medium

  * Salvage package (Closes: #1037313)
  * New upstream version 1.7.3 (Closes: #869596)
  * d/watch : update watch file.
  * d/rules:
    - remove dh_makeshlibs override no longer needed
    - add DEB_BUILD_MAINT_OPTIONS to improve hardening
    - remove .la files
  * d/control:
    - remove compat and replace debhelper build-dep with debhelper-compat = 13
    - Bump soname to 11
    - B-D on pkgconf instead of pkg-config
    - Remove obsolete Breaks/Conflicts/Replaces
    - Add Rules-Require-Root: no
    - update Homepage
    - Bump S-V to 4.7.0
    - Move Vcs-* fields to salsa
  * d/libconfig{,++}-dev.install:
    - install libconfig cmake files (Closes: #904857)
  * Fix build twice from same source (Closes: #1045447)
  * d/copyright: update & move to machine readable format
  * d/salsa-ci.yml enable salsa-ci
  * d/patches : drop tex-workaround.patch (no longer needed)

 -- Mohammed Bilal <rmb@debian.org>  Tue, 14 Jan 2025 05:08:57 +0000

=== debian/control ===
Source: libconfig
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Mohammed Bilal <rmb@debian.org>
Build-Depends: debhelper-compat (= 13), texinfo
Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-base
Standards-Version: 4.7.0
Homepage: https://hyperrealm.github.io/libconfig/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/libconfig.git
Vcs-Browser: https://salsa.debian.org/debian/libconfig

Package: libconfig11
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parsing/manipulation of structured configuration files
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files.

Package: libconfig++11
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parsing/manipulation of structured configuration files (C++ binding)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files.
 .
 This is the C++ binding.

Package: libconfig-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libconfig11 (= ${binary:Version}), pkgconf, ${misc:Depends}
Recommends: libconfig-doc
Description: parsing/manipulation of structured config files (development)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files. Its main features are:
  - A fully reentrant parser: Multiple configurations can be parsed in
    concurrent threads at the same time.
  - A simple, structured configuration file format: more readable and compact
    than XML and more flexible than Windows' "INI" file format.
  - A low-footprint implementation
  - Proper documentation.
 .
 This package contains the files needed in order to use libconfig
 in your own programs.

Package: libconfig++-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libconfig++11 (= ${binary:Version}),
         libconfig-dev,
         pkgconf,
         ${misc:Depends}
Description: parsing/manipulation of structured config files (C++ development)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files. Its main features are:
  - A fully reentrant parser: Multiple configurations can be parsed in
    concurrent threads at the same time.
  - A simple, structured configuration file format: more readable and compact
    than XML and more flexible than Windows' "INI" file format.
  - A low-footprint implementation
  - Proper documentation.
 .
 This package contains the files needed in order to use libconfig
 in your own C++ programs.

Package: libconfig-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: parsing/manipulation of structured config files (Documentation)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files.
 .
 This package provides documentation for the libconfig library.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_test-indep:

override_dh_auto_build-indep:
	$(MAKE) -C doc pdf

execute_after_dh_auto_install:
	find debian -name '*.la' -delete

override_dh_compress:
	# don't compress example1.cpp, which is the only file over 4k (it's 4.1k)
	# done for consistency with the other examples.
	dh_compress -Xexample1.cpp

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

%:
	dh $@
